using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Project._Common
{
    public partial class fNewID : fBase
    {
        public fNewID(string userid)
        {
            InitializeComponent();
            this.tbIDO.Text = userid;   
        }

        private void fNewPassword_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (tbIDN.Text.isEmpty())
            {
                Util.MsgE("Enter New ID");
                tbIDN.Focus();
                return;
            }

            if (tbIDN.Text == tbIDO.Text)
            {
                Util.MsgE("Same ID");
                tbIDN.Focus();
                tbIDN.SelectAll();
                return;
            }
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
